## Ad-Hoc Commands: Common Options

- -m MODULE_NAME, --module-name=MODULE_NAME
  Module name to execute the ad-hoc command
- -a MODULE_ARGS, --args=MODULE_ARGS
  Module arguments for the ad-hoc command
- -b, --become
  Run ad-hoc command with elevated rights such as sudo, the default method
- -e EXTRA_VARS, --extra-vars=EXTRA_VARS
  Set additional variables as key=value or YAML/JSON
- --version
  Display the version of Ansible
- --help
  Display the MAN page for the Ansible tool

This slide shows essential command-line options for running ad-hoc commands that will be useful in our upcoming workshop assignment.